Roster
Get the status of a job
GET
/
roster
/
status
/
{jobId}
{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"isActive": true,
"status": "starting",
"hasResult": true,
"messages": {
"items": [
{
"text": "<string>"
}
],
"nextToken": "<string>"
},
"error": "<string>",
"metrics": [
{
"scope": {
"metricKey": "AVAILABILITY.WORKED_MINUTES",
"ruleLabel": "<string>"
},
"value": 123
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Include the access token in the Authorization header using the Bearer scheme.
Path Parameters
Unique identifier for the roster job.
Query Parameters
Opaque token returned by the previous status response to retrieve new roster status messages.
Minimum string length:
1Response
Current solver status and published outputs for a roster job.
Identifier of the roster job.
Time of the latest status update.
Whether any part of the job is still active and polling should continue.
Current status of the solver.
Available options:
starting, running, finished, error, stopped Whether a result is available.
Generated status messages and message polling token.
Show child attributes
Show child attributes
Error message in case something has gone wrong.
Current values for the requested solver status metrics.
Maximum array length:
20Show child attributes
Show child attributes
